net.sf.jasperreports.engine.type

## Enum LineStyleEnum

- java.lang.Object
- - java.lang.Enum<LineStyleEnum>
  - - net.sf.jasperreports.engine.type.LineStyleEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LineStyleEnum>, JREnum, NamedEnum

      public enum LineStyleEnum
      extends java.lang.Enum<LineStyleEnum>
      implements JREnum

  Version:
    $Id: LineStyleEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASHED` Constant useful for specifying dashed line style.
    `DOTTED` Constant useful for specifying dotted line style.
    `DOUBLE` Constant useful for specifying double line style.
    `SOLID` Constant useful for specifying solid line style.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LineStyleEnum` | `getByName(java.lang.String name)`
    `static LineStyleEnum` | `getByValue(byte value)`
    `static LineStyleEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static LineStyleEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LineStyleEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOLID

          public static final LineStyleEnum SOLID

      Constant useful for specifying solid line style.

    - #### DASHED

          public static final LineStyleEnum DASHED

      Constant useful for specifying dashed line style.

    - #### DOTTED

          public static final LineStyleEnum DOTTED

      Constant useful for specifying dotted line style.

    - #### DOUBLE

          public static final LineStyleEnum DOUBLE

      Constant useful for specifying double line style.

  - ### Method Detail

    - #### values

          public static LineStyleEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LineStyleEnum c : LineStyleEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LineStyleEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static LineStyleEnum getByName(java.lang.String name)

    - #### getByValue

          public static LineStyleEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static LineStyleEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com